{% extends 'base.html' %}
{% block head %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/datatables.css') }}">

    <meta name="twitter:card" content="summary_large_image" xmlns="http://www.w3.org/1999/html">
    <meta name="twitter:site" content="@altcensored">
    <meta name="twitter:creator" content="@altcensored">

    <meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
    <meta property="og:description" content="'we show what they hide'">
    <meta property="og:type" content="website">
    <meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
    <meta property="og:image:url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
    <meta property="og:image:secure_url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">

    {% if data == 'data_deleted' %}
    <meta property="og:url" content="https://{{ config['MYSERVER_NAME'] }}/channel/table?data=data_deleted">
    <meta property="og:title" content="{{ videocount | viewdisplay }}+ Censored YouTube Videos; {{ delchannelcount | viewdisplay }} Deleted Channels">

    {% else %}
    <meta property="og:url" content="https://{{ config['MYSERVER_NAME'] }}/channel/table">
    <meta property="og:title" content="{{ videocount | viewdisplay }}+ Censored YouTube Videos; {{ channelcount | viewdisplay }}+ Channels">

    {% endif %}

{% endblock %}

{% block content %}

    {% with active_nav='channel' %}
        {% include "widgets/navtabs.html" %}
    {% endwith %}

<div class="pure-g">
  <div class="pure-u-1 pure-u-md-2-24"></div>
  <div class="pure-u-1 pure-u-md-20-24">

                  <div class="pure-g">
                    <div class="pure-u-1-3">
                    </div>
                    <div class="pure-u-1-3" style="text-align:center;">
                        <a class="pure-menu-heading selected">
                        {% if data == 'data_deleted' %}
                        <span style="color: red; ">
                            <b>{{ gettext('Table Deleted') }}</b></a>
                        {% else %}
                        <b>{{ gettext('Table All') }}</b></a>
                        {% endif %}
                    </div>
                    <div class="pure-u-1-3">
                    </div>
                  </div>

<p></p>

    <div class="pure-g">
      <div class="pure-u-1 pure-u-md-1-1">
        <div class="h-box">
          <div class="row">
            <div class="col-lg-12">
              <table id="channels" class="display compact nowrap" width="100%">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Channel ID</th>
                    <th>Subs</th>
                    <th>Views</th>
                    <th>Videos</th>
                    <th>Censored</th>
                    <th>Archived</th>
                    <th>Enabled</th>
                    <th>Delta</th>
                    <th>Created</th>
                    <th>Deleted</th>
                    <th>Added</th>
                  </tr>
                </thead>
              <tbody></tbody>
            </table>
          </div>
        </div>
        </div>
      </div>
    </div>
  </div>
</div>
<p></p>

{% block extra_javascripts %}
  <script src="{{ url_for('static', filename='js/jquery-3.5.1.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/datatables.min.js') }}"></script>

  <script type="text/javascript" charset="utf-8">

    $(document).ready(function () {
      var table = $('#channels').DataTable({
        "processing": true,
        "serverSide": true,
        "ajax": "{{ url_for('channel.' + data) }}",

        "columnDefs": [
            {
                "targets": [ 0 ],
                "width": "30%",
                "className": 'dt-left',
                "render": function ( data, type, row ) {
                    return data.length > 30 ?
                    '<a href="'+row[1]+'">'+data.substr( 0, 30 ) +'…'+'</a>' :
                        '<a href="'+row[1]+'">'+data+'</a>';
                }
            },
            {
                "targets": [ 1 ],
                "visible": false,
                "searchable": false
            },
            {
                "targets": [ 2 ],
                "className": 'dt-right',
                "width": "8%"
            },
            {
                "targets": [ 3 ],
                "className": 'dt-right',
                "width": "8%"
            },
            {
                "targets": [ 4 ],
                "className": 'dt-right',
                "width": "5%"
            },
            {
                "targets": [ 5 ],
                "className": 'dt-right',
                "width": "5%"
            },
            {
                "targets": [ 6 ],
                "className": 'dt-center',
                "width": "5%"
            },
            {
                "targets": [ 7 ],
                "className": 'dt-center',
                "width": "5%"
            },
            {
                "targets": [ 8 ],
                "className": 'dt-center',
                "width": "8%"
            },
            {
                "targets": [ 9 ],
                "className": 'dt-center',
                "width": "8%"
            },
            {
                "targets": [ 10 ],
                "className": 'dt-center',
                "width": "8%"
            }
        ]
      });
    });
  </script>

{% endblock %}
{% endblock %}